package com.ruoyi.wx.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class RecordOrderDTO {
    /**
     * 主键
     */
    private Long id;

    private String type;

    /**
     * 病案号
     */
    private String mrNumber;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 出院日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dischargeDate;

    /**
     * 住院次数
     */
    private Long times;

    /**
     * 医院名称
     */
    private String hospital;

    /**
     * 寄送地址
     */
    private String address;

    private String status;

    private String downUrl;

    public String getDownUrl() {
        return downUrl;
    }

    public void setDownUrl(String downUrl) {
        this.downUrl = downUrl;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMrNumber() {
        return mrNumber;
    }

    public void setMrNumber(String mrNumber) {
        this.mrNumber = mrNumber;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Date getDischargeDate() {
        return dischargeDate;
    }

    public void setDischargeDate(Date dischargeDate) {
        this.dischargeDate = dischargeDate;
    }

    public Long getTimes() {
        return times;
    }

    public void setTimes(Long times) {
        this.times = times;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
