package com.ruoyi.wx.dto;

import com.ruoyi.common.annotation.Excel;

/**
 * 用户登录对象
 */
public class WxUserDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户姓名
     */
    @Excel(name = "用户姓名")
    private String name;
    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String phone;
    /**
     * 用户状态 0正常 1停用
     */
    @Excel(name = "用户状态")
    private Integer status;
    /**
     * 审核状态 0审核中 1审核成功
     */
    @Excel(name = "审核状态")
    private Integer flag;

    /**
     * 医院名称
     */
    @Excel(name = "医院名称")
    private String hospital;

    /**
     * 收货地址
     */
    @Excel(name = "收货地址")
    private String address;

    private String token;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
