package com.ruoyi.wx.controller;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.ruoyi.wx.service.IMrRecordOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

@Controller
@RequestMapping("s")
public class ShortUrlController {
    @Autowired
    private IMrRecordOrderService mrRecordOrderService;

    @RequestMapping("{code}")
    public String redirectTo(@PathVariable String code, HttpServletResponse response) {
        Map<String, String> urlHeaders = mrRecordOrderService.getUrlHeaders(code);
        String headers = urlHeaders.get("headers");
        JSONObject jsonObject = JSONUtil.parseObj(headers);
        jsonObject.forEach((k, v) -> {
            response.setHeader(k, (String) v);
        });
        return "forward:" + urlHeaders.get("url");
    }
}
