package com.ruoyi.wx.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信小程序用户对象 wx_user
 *
 * @author ruoyi
 * @date 2021-02-24
 */
public class WxUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户姓名
     */
    @Excel(name = "用户姓名")
    private String name;
    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String phone;

    private String openid;

    /**
     * 用户状态 0正常 1停用
     */
    @Excel(name = "用户状态")
    private Integer status;

    /**
     * 审核状态 0审核中 1审核成功
     */
    @Excel(name = "审核状态")
    private Integer flag;

    /**
     * 医院名称
     */
    @Excel(name = "医院名称")
    private String hospital;

    /**
     * 收货地址
     */
    @Excel(name = "收货地址")
    private String address;

    /**
     * 微信昵称
     */
    @Excel(name = "微信昵称")
    private String nickname;

    /**
     * 微信头像
     */
    @Excel(name = "微信头像")
    private String avatar;

    /**
     * 性别
     */
    private String gender;

    /**
     * 登录token
     */
    private String token;

    public void setId(Long id) {
        this.id = id;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getOpenid() {
        return openid;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospital() {
        return hospital;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getNickname() {
        return nickname;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAvatar() {
        return avatar;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("openid", getOpenid())
                .append("status", getStatus())
                .append("flag", getFlag())
                .append("hospital", getHospital())
                .append("address", getAddress())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("nickname", getNickname())
                .append("avatar", getAvatar())
                .append("phone", getPhone())
                .append("token", getToken())
                .append("gender", getGender())
                .toString();
    }
}
