package com.ruoyi.wx.util;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.utils.http.HttpUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.nio.charset.Charset;

public class ShortUrlUtils {
    private static final String API_PATH = "http://www.uc4.cn/ajax.php";

    public static String getShortUrl(String url) throws UnsupportedEncodingException {
        String resp = HttpUtils.sendGet(API_PATH, "act=creat1&url=" + URLEncoder.encode(url, Charset.defaultCharset().displayName()) + "&pattern=1&type=c4icn");
        JSONObject obj = JSONObject.parseObject(resp);
        return obj.getString("dwz");
    }

    public static void main(String[] args) throws UnsupportedEncodingException {
        System.out.println(getShortUrl("https://wx.docus.cn/profile/upload/2021/03/01/dad2a531-b3bf-4ede-8f41-26d611053c73.zip"));
    }
}
